# 适用于 Windows，Mac，Linux 的 Python 设置

> 原文： [https://javabeginnerstutorial.com/python-tutorial/python-setup-for-windows-mac-linux/](https://javabeginnerstutorial.com/python-tutorial/python-setup-for-windows-mac-linux/)

Python 适用于各种平台，包括 Linux，Windows 和 Mac OS。 因此，在这里我们将了解如何设置 python 环境。 对于本地环境设置，请打开终端窗口，然后在其中键入“python”以知道它是否已安装（如果已安装，则说明是哪个版本）。

*   Unix / Linux
*   视窗
*   苹果机
*   从

python 的安装程序也可以从官方网站安装以获得最新版本。 链接在这里

[http://www.python.org/](https://www.python.org/)

对于 python 的文档，可以从上面的相同链接下载。

## 如何安装 Python？

我们知道 python 可用于各种平台，因此您只需要下载适用于您的平台的二进制代码并安装它即可。 如果二进制代码不可用于您的平台，则需要 C 编译器手动编译代码。

现在，我们将看到如何在不同的平台上安装 python：

## Unix 和 Linux 安装：

在计算机上安装 python 所需的步骤是：

*   打开网络浏览器，然后转到 [http://www.python.org/download/](https://www.python.org/download/) 。
*   请按照上面给出的链接下载压缩的源代码。
*   下载后，解压缩文件。
*   如果需要，请编辑模块/设置文件。
*   运行./configure 脚本
*   使
*   进行安装

此命令将 python 安装在标准位置/ usr / local / bin 和/ usr / local / lib / pythonAA 中的库中，其中 AA 是 python 的版本。

现在，安装后，我们将设置路径。 在 Unix / Linux 上设置路径：

在 csh shell 中添加 Python 目录的路径为：

输入`sete​​nv PATH "$PATH:/usr/local/bin/python`，然后按 Enter 。

**注意**：请记住，Unix 是区分大小写的。

在 Linux 的 bash shell 中添加 Python 目录的路径：

输入`export PATH="$PATH:/usr/local/bin/python"`，然后按 Enter 键

在 sh 或 ksh shell 中添加 Python 目录的路径：

输入`PATH="$PATH:/usr/local/bin/python"`，然后按 Enter。

## Windows 安装：

在 Windows 上安装 Python 所需的步骤是：

*   打开网络浏览器，然后转到 [http://www.python.org/download/](https://www.python.org/download/) 。
*   单击此链接可获取 Windows 安装程序 python- ABC.msi 文件，其中 ABC 是版本。
*   当 Windows 支持 Microsoft Installer 2.0 时，可以使用安装程序 python- ABC.msi。 将安装程序文件保存到本地计算机上，然后运行以确保您的计算机支持 MSI。
*   现在运行下载的文件。 安装向导后，接受默认设置，然后等待安装完成。

安装后，我们将在 Windows 中设置路径。 要在 Windows 的命令提示符下添加 python 目录：

```java
type path %path%;

C: \Python and then press Enter. // It is the path of the python directory
```

## Macintosh 安装

在 Mac 中使用 Python 时，无需安装或配置其他任何东西。 但是在安装 Python 之前，您需要先安装 GCC。 可以通过下载 XCode，命令行工具或 OSX GCC 安装程序包来获得 GCC。 但是，如果您已安装 XCode，则无需安装 OSX-GCC 安装程序，因为它可能会引起问题。 在执行 XCode 的全新安装时，您需要通过在终端上运行 xcode-select –install 来添加命令行工具。 由于 OS X 由大量 UNIX 实用程序组成，因此熟悉 Linux 系统的人会注意到缺少一个像样的包管理器的关键组件，因此 Homebrew 将填补这一空白。

现在要安装 Homebrew，请打开终端或 OS X 终端仿真器并运行

```java
 $ ruby –e “$(curl –fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)”
```

安装 Homebrew 之后，将 Homebrew 目录添加到路径环境变量的顶部，或者可以通过以下方法完成

```java
 ~/ .profile file
```

路径声明为

```java
Export PATH = /usr/local/bin: /usr/local/sbin: $PATH
```

现在可以安装 Python 2.7。

```java
$ brew install python
```

现在我们来看看简单的 python 程序。

```java
num1 = input('Enter first number: ')

num2 = input('Enter second number: ')

#it will add two numbers

sum = float(num1) + float(num2)

# display the sum

print('The sum of {0} and {1} is {2}'.format(num1, num2, sum))
```

输出：

```java
Enter first number: 4

Enter second number: 4

The sum of 4 and 4 is 8.0
```

在上面的代码中，数字是由用户输入的，它显示了由用户输入的两个数字的总和。 在此，我们使用了内置函数输入（）从用户那里获取输入，它将返回字符串，然后将其转换为使用 float（）函数的数字。 这两个数字通过算术运算符（+）相加，我们还可以根据程序要求（例如减法，乘法，除法）更改运算符。