# 字符串构建器

> 原文： [https://javabeginnerstutorial.com/core-java-tutorial/string-builder/](https://javabeginnerstutorial.com/core-java-tutorial/string-builder/)

字符串构建器类似于字符串，但是可以修改。 字符串的缺点是，一旦创建，就无法对其进行修改。 为了克服这个问题，可以使用字符串缓冲区和字符串构建器。

## 字符串缓冲区和字符串构建器之间的区别

“`StringBuffer`”可安全用于多个线程（线程安全）。 方法是同步的。 字符串构建器不是线程安全的。

在可能的情况下，建议使用`StringBuilder`优先于`StringBuffer`，因为在大多数情况下它将更快。

## 字符串缓冲区的重要方法

> `append()`
> `insert()`
> `length()`

### 备忘单

*   `StringBuilder`和`StringBuffer`之间的区别在于`StringBuilder`方法未同步。
*   字符串构建器是**可变的**，与**不可变**的字符串相反。
*   `StringBuilder`的`equals`方法不会被覆盖，因此不会比较`StringBuilder`的值。 就像使用`String`一样。

