# Java 中的变量

> 原文： [https://javabeginnerstutorial.com/core-java-tutorial/variables-in-java/](https://javabeginnerstutorial.com/core-java-tutorial/variables-in-java/)

## 介绍

在 Java 中，对象将其状态存储在变量中。 在应用的生命周期中，变量用作容器来保存值（`int`，`long`，`string`…）。

## 变量定义

要定义变量，我们需要为该变量分配数据类型。 数据类型定义了此变量可以保存的值的类型（`int`，`long`或`String`等）。

**变量定义的示例**

```java
 public final int var ;
```

public :  [Access Modifier](https://javabeginnerstutorial.com/core-java-tutorial/access-modifier-in-java/ "Access Modifiers in Java") applied to variable

final    :  [Non Access Modifier](https://javabeginnerstutorial.com/core-java-tutorial/non-access-modifiers-in-java/ "Non Access Modifiers in Java") applied to this variable

int       :  Datatype. It defines kind of value this variable can hold (int in this case)

var      :   Name of the variable

## 变量初始化

现在我们已经完成了定义变量的操作，我们可以通过为其分配值来初始化上述变量。 在这种情况下，我们为变量分配一个整数值。

```java
 public final int var = 9;
```

## Java 中的变量类型

Java 中的变量可以在代码中的任何位置定义（*在类旁，在方法旁或作为方法参数*），并且可以具有不同的修饰符。 根据这些条件，Java 中的变量可以分为四类。

*   实例变量
*   静态变量
*   局部变量
*   方法参数

### 实例变量（非静态字段）

对象使用实例变量存储其状态。 在没有方法声明的情况下未使用`STATIC`关键字定义的变量是特定于对象的，称为实例变量。 这样的变量称为实例变量，因为它们的值是实例特定的，**而不是**是实例之间共享的。 有关更多详细信息，请转到[实例变量](https://javabeginnerstutorial.com/core-java-tutorial/instance-variable-java/)主题。

### 类变量（静态字段）

在类（在任何方法之外）中用`STATIC`关键字声明的变量称为*类变量/静态变量*。 它们被称为类级别变量，因为这些变量的值并非特定于任何实例，而是类的所有实例所共有。 此类变量将由对象的所有实例共享。 对于更多

### 局部变量（方法局部）

当在方法内部声明变量时，称为方法局部变量。 局部变量的范围仅在方法内部，这意味着不能在该方法外部访问局部变量。 访问修饰符有一些限制可以应用于局部变量。 要了解有关访问修饰符[的更多信息，请点击这里](https://javabeginnerstutorial.com/core-java-tutorial/access-modifier-in-java/ "Access Modifiers in Java")。 有关更多详细信息，请参见[局部变量](https://javabeginnerstutorial.com/core-java-tutorial/local-variable-in-java/)。

### 参量

[Java 方法参数和参数](https://javabeginnerstutorial.com/core-java-tutorial/java-method-parameter-and-argument/)是在方法中传递的变量。 例如，`main`方法中的`String args[]`变量是一个参数。

```java
package com.jbt;

/*
 * Here we will discuss about different type of Variables available in Java
 */
public class VariablesInJava {

	public static void main(String args[]) {
		System.out.println("Hello");
	}
}
```

<https://www.youtube.com/embed/SFreQogjXH0?feature=oembed>

