# Java 初学者的`SortedSet`集合教程

> 原文： [https://javabeginnerstutorial.com/core-java-tutorial/sorted-set-collection-tutorial-for-java-beginners/](https://javabeginnerstutorial.com/core-java-tutorial/sorted-set-collection-tutorial-for-java-beginners/)

该接口是 Java 集合接口的一部分。

`SortedSet`的重要点

*   它提供其元素的顺序。
*   元素根据创建`SortedSet`时提供的`Comparable`/`Comparator`进行排序。
*   迭代器将以升序遍历集合。
*   此接口是`SortedMap`的集合类似物。
*   插入`SortedSet`中的元素需要实现`Comparable`接口（或接受比较器接口）。
*   `SortedSet`的所有实现应提供 4 个构造器。
    *   没有带参构造器
    *   具有单个`Comparator`参数的构造器。
    *   具有单个`Collection`参数的构造器。
    *   具有单个`SortedSet`参数的构造器。

# `SortedSet`中的重要方法

*   **`Comparator<? super E> comparator()`**：返回用于对`Set`中的元素进行排序的比较器。
*   **`subSet(E fromElement, E toElement)`**：返回此集合部分的视图，其元素范围从`fromElement`（包括）到`toElement`（不包括）。
*   **`headSet(E toElement)`**：返回此集合中的元素严格小于`toElement`的部分的视图。
*   **`tailSet(E fromElement)`**：返回此集合中其元素大于或等于`fromElement`的部分的视图