# `public static void main(string args[])`说明

> 原文： [https://javabeginnerstutorial.com/core-java-tutorial/public-static-void-mainstring-args-explanation/](https://javabeginnerstutorial.com/core-java-tutorial/public-static-void-mainstring-args-explanation/)

JVM 将始终寻找特定的方法签名来开始运行应用，该签名将为`public static void main(String args[])`。此处`args`是字符串数组类型的参数。 字符串数组参数也可以写成`String[] args`。 尽管参数（字符串数组）的类型是固定的，但是您仍然可以将名称从`args`更改为任何内容。

同样，随着 Java 可变参数的引入，除了编写`String args[]`之外，还可以使用`String…args`。 不断学习以了解每个关键字的更多信息。

```java
class JBT{
  public static void main(String args[])
   {
     System.out.println("Hello JBT");
   }
}
```

在以上应用示例中，我们使用了`public static void main`。 每个词都有不同的含义和目的。

#### `Public`

它是[访问修饰符](//javabeginnerstutorial.com/core-java-tutorial/access-modifier-in-java/)，它定义谁可以访问此方法。 `Public`意味着任何类都可以访问此方法（如果其他类可以访问此类。）。

#### `static`

[`static`](https://javabeginnerstutorial.com/core-java-tutorial/java-static-keyword/)是标识与类相关的事物的关键字。 这意味着给定的方法或变量与实例无关，而与类相关。 无需创建类实例即可对其进行访问。

#### `void`

它用于定义方法的返回类型。 它定义了方法可以返回的内容。 无效表示方法将不返回任何值。

#### `main`

`main`是方法的**名称**。 JVM 搜索此方法名称，作为仅具有特定签名的应用的起点。

#### `String args[]`/`String… args`

它是`main`方法的参数。 参数名称可以是任何东西。 您可以使用`String`数组（`String args[]`）或`String`类型的可变参数变量。 两者将以相同的方式工作。

